import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_GeoLocationQuery } from "./CT_GeoLocationQuery";
import { CT_GeoLocations } from "./CT_GeoLocations";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_GeoLocationQueryResult extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    private d;
    constructor();
    a: CT_GeoLocationQuery;
    c: CT_GeoLocations;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
